Get List of Prime Wallet Withdrawals
curl --request GET \
--url https://api.openxswitch.com/v1/withdraw/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openxswitch.com/v1/withdraw/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openxswitch.com/v1/withdraw/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "wd_001",
"workspaceId": "67804918f2b05ac82a129441",
"clientTxId": null,
"coin": "BTC",
"chain": "BTC",
"amount": 100,
"network": "Ethereum",
"fromAddress": "0xFromAddress001",
"toAddress": "0xToAddress001",
"hash": null,
"transactionLink": null,
"status": "success",
"networkFee": 1,
"tagMemo": null,
"confirmation": 0,
"confirmedAt": null,
"createdAt": null,
"walletId": "678a39d6b731ad1ad8832c8a"
}
],
"totalPage": 123,
"pageNo": 123,
"pageLimit": 123
}{
"statusCode": 400,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "......"
}{
"statusCode": 404,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "Cannot GET /v1/..."
}{
"statusCode": 422,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": [
"param is required"
]
}{
"statusCode": 500,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "......"
}Withdraw Endpoints
Get List of Prime Wallet Withdrawals
Retrieve a paginated list of withdrawals made from prime wallet.
GET
/
v1
/
withdraw
/
list
Get List of Prime Wallet Withdrawals
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The unique identifier of the withdrawal
The transaction hash
The receiver's address
The 'chain' name.
Refer to the Get Recharge Currencies endpoint for the list of supported chains.
The token name
The page number for pagination
The number of items per page for pagination
⌘I
.png?fit=max&auto=format&n=ML35RDblT1Ol-zJb&q=85&s=062e79ad9c4540929eec204aff020178)
.png?fit=max&auto=format&n=ML35RDblT1Ol-zJb&q=85&s=f6328956931c9664a2a070c2edb6e9b3)